log4cplus::spi Namespace Reference

## Classes

class | AppenderAttachable
| This Interface is for attaching Appenders to objects. More...
class | BaseFactory
| This is the base class for all factories. More...
class | AppenderFactory
| This abstract class defines the "Factory" interface to create "Appender" objects. More...
class | LayoutFactory
| This abstract class defines the "Factory" interface to create "Layout" objects. More...
class | FilterFactory
| This abstract class defines the "Factory" interface to create "Appender" objects. More...
class | LocaleFactory
| This abstract class defines the "Factory" interface to create std::locale instances. More...
class | FactoryRegistry
| This template class is used as a "Factory Registry". More...
class | LocalFactoryBase
class | FactoryTempl
class | Filter
| Users should extend this class to implement customized logging event filtering. More...
class | DenyAllFilter
| This filter drops all logging events. More...
class | LogLevelMatchFilter
| This is a very simple filter based on LogLevel matching. More...
class | LogLevelRangeFilter
| This is a very simple filter based on LogLevel matching, which can be used to reject messages with LogLevels outside a certain range. More...
class | StringMatchFilter
| This is a very simple filter based on string matching. More...
class | FunctionFilter
| This filter allows using std::function<FilterResult(const InternalLoggingEvent &)>. More...
class | NDCMatchFilter
| This is a simple filter based on the string returned by event.getNDC(). More...
class | MDCMatchFilter
| This is a simple filter based on the key/value pair stored in MDC. More...
class | LoggerFactory
| Implement this interface to create new instances of Logger or a sub-class of Logger. More...
class | LoggerImpl
| This is the central class in the log4cplus package. More...
class | InternalLoggingEvent
| The internal representation of logging events. More...
class | ObjectRegistryBase
| This is the base class used to implement the functionality required by the ObjectRegistry template class. More...
class | RootLogger
| RootLogger sits at the top of the logger hierachy. More...

## Typedefs

typedef FactoryRegistry< AppenderFactory > | AppenderFactoryRegistry
typedef FactoryRegistry< LayoutFactory > | LayoutFactoryRegistry
typedef FactoryRegistry< FilterFactory > | FilterFactoryRegistry
typedef FactoryRegistry< LocaleFactory > | LocaleFactoryRegistry
typedef helpers::SharedObjectPtr< Filter > | FilterPtr
typedef LoggerImpl::SharedLoggerImplPtr | SharedLoggerImplPtr

## Enumerations

enum | FilterResult { DENY , NEUTRAL , ACCEPT }

## Functions

LOG4CPLUS_EXPORT AppenderFactoryRegistry & | getAppenderFactoryRegistry ()
| Returns the "singleton" `AppenderFactoryRegistry`.
LOG4CPLUS_EXPORT LayoutFactoryRegistry & | getLayoutFactoryRegistry ()
| Returns the "singleton" `LayoutFactoryRegistry`.
LOG4CPLUS_EXPORT FilterFactoryRegistry & | getFilterFactoryRegistry ()
| Returns the "singleton" `FilterFactoryRegistry`.
LOG4CPLUS_EXPORT LocaleFactoryRegistry & | getLocaleFactoryRegistry ()
| Returns the "singleton" `LocaleFactoryRegistry`.
LOG4CPLUS_EXPORT FilterResult | checkFilter (const Filter *filter, const InternalLoggingEvent &event)
| This method is used to filter an InternalLoggingEvent.

## Typedef Documentation

## AppenderFactoryRegistry

typedef FactoryRegistry<AppenderFactory> log4cplus::spi::AppenderFactoryRegistry

Definition at line 185 of file factory.h.

## FilterFactoryRegistry

typedef FactoryRegistry<FilterFactory> log4cplus::spi::FilterFactoryRegistry

Definition at line 187 of file factory.h.

## FilterPtr

typedef helpers::SharedObjectPtr<Filter> log4cplus::spi::FilterPtr

Definition at line 77 of file filter.h.

## LayoutFactoryRegistry

typedef FactoryRegistry<LayoutFactory> log4cplus::spi::LayoutFactoryRegistry

Definition at line 186 of file factory.h.

## LocaleFactoryRegistry

typedef FactoryRegistry<LocaleFactory> log4cplus::spi::LocaleFactoryRegistry

Definition at line 188 of file factory.h.

## SharedLoggerImplPtr

typedef LoggerImpl::SharedLoggerImplPtr log4cplus::spi::SharedLoggerImplPtr

Definition at line 211 of file loggerimpl.h.

## Enumeration Type Documentation

## FilterResult

enum log4cplus::spi::FilterResult

Enumerator
DENY | The log event must be dropped immediately without consulting with the remaining filters, if any, in the chain.
NEUTRAL | This filter is neutral with respect to the log event; the remaining filters, if if any, should be consulted for a final decision.
ACCEPT | The log event must be logged immediately without consulting with the remaining filters, if any, in the chain.

Definition at line 52 of file filter.h.

## Function Documentation

## checkFilter()

LOG4CPLUS_EXPORT FilterResult log4cplus::spi::checkFilter | ( | const Filter * | filter,
|  | const InternalLoggingEvent & | event )

This method is used to filter an InternalLoggingEvent.

Note: `filter` can be NULL.

References LOG4CPLUS_EXPORT.

## getAppenderFactoryRegistry()

LOG4CPLUS_EXPORT AppenderFactoryRegistry & log4cplus::spi::getAppenderFactoryRegistry | ( |  | ) |

Returns the "singleton" `AppenderFactoryRegistry`.

References LOG4CPLUS_EXPORT.

## getFilterFactoryRegistry()

LOG4CPLUS_EXPORT FilterFactoryRegistry & log4cplus::spi::getFilterFactoryRegistry | ( |  | ) |

Returns the "singleton" `FilterFactoryRegistry`.

References LOG4CPLUS_EXPORT.

## getLayoutFactoryRegistry()

LOG4CPLUS_EXPORT LayoutFactoryRegistry & log4cplus::spi::getLayoutFactoryRegistry | ( |  | ) |

Returns the "singleton" `LayoutFactoryRegistry`.

References LOG4CPLUS_EXPORT.

## getLocaleFactoryRegistry()

LOG4CPLUS_EXPORT LocaleFactoryRegistry & log4cplus::spi::getLocaleFactoryRegistry | ( |  | ) |

Returns the "singleton" `LocaleFactoryRegistry`.

References LOG4CPLUS_EXPORT.